/*
 * $Header: /home/projects/mule/scm/mule/samples/loanbroker/src/java/org/mule/samples/loanbroker/service/CreditAgencyService.java,v 1.1 2005/10/21 14:49:45 aperepel Exp $
 * $Revision: 1.1 $
 * $Date: 2005/10/21 14:49:45 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.samples.loanbroker.service;

import org.mule.samples.loanbroker.BankQuoteRequest;
import org.mule.samples.loanbroker.CreditProfile;
import org.mule.samples.loanbroker.Customer;

/**
 * <code>CreditAgencyService</code> the service that provides a credit
 * score for a customer
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.1 $
 */
public interface CreditAgencyService
{
    CreditProfile getCreditProfile(Customer customer);

    void getCreditProfile(BankQuoteRequest request);
}
