/*
 * $Header: /home/projects/mule/scm/mule/samples/voipservice/src/java/org/mule/samples/voipservice/service/BankAgencyService.java,v 1.2 2005/10/29 12:26:55 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/10/29 12:26:55 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.samples.voipservice.service;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.mule.samples.voipservice.interfaces.BankAgency;
import org.mule.samples.voipservice.to.CreditProfileTO;

/**
 * @author Binildas Christudas
 */
public class BankAgencyService implements BankAgency {

    protected static transient Log logger = LogFactory.getLog(BankAgencyService.class);

    public CreditProfileTO getAuthorisedStatus(CreditProfileTO creditProfileTO) {

        logger.info("Inside BankAgencyService.getAuthorisedStatus() ***************");
        creditProfileTO.setCreditAuthorisedStatus(CreditProfileTO.CREDIT_AUTHORISED);
        return creditProfileTO;
    }

}