/*
 * $Header: /home/projects/mule/scm/mule/samples/loanbroker-esb/src/java/org/mule/samples/loanbroker/esb/bank/BankService.java,v 1.1 2005/09/26 16:58:00 rossmason Exp $
 * $Revision: 1.1 $
 * $Date: 2005/09/26 16:58:00 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.samples.loanbroker.esb.bank;

import org.mule.samples.loanbroker.esb.message.LoanQuoteRequest;

/**
 * <code>BankService</code> is a representation of a bank form which to obtain loan
 * quotes.
 *
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.1 $
 */
public interface BankService
{
    org.mule.samples.loanbroker.esb.message.LoanQuote getLoanQuote(LoanQuoteRequest request);
}
